### Method

# FwupdPlugin Device remove_metadata

since: 1.3.3

#### Declaration [src]

    void
    fu_device_remove_metadata (
      FuDevice* self,
      const gchar* key
    )

#### Description [src]

Removes an item of metadata on the device.

Available since: 1.3.3

#### Parameters

`key`

  Type: `const gchar*`

  The key.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.